require_relative '../spec_helper'

describe TurbaKit do
  before  do
    @client = TurbaKit::Client.new('a58d65f70d82bdf7fba5230b')
  end

  it "creates a checkin" do
    VCR.use_cassette('create_checkins') do
      @checkins = @client.create_checkin("4E4BDA5A068E2C5B0E2E0100", 45)
    end
    expect(@checkins.empty?).to eql(true)
  end

  it "returns a list of checkins" do
    VCR.use_cassette('checkins') do
      @checkins = @client.checkins
    end

    expect(@checkins[:checkins].count).to eql(25)
  end
end
