require_relative '../spec_helper'

describe TurbaKit do
  before  do
    @client = TurbaKit::Client.new('a58d65f70d82bdf7fba5230b')
  end

  it "updates a phonenumber" do
    VCR.use_cassette('update_service_phonenumber') do
      @phonenumber = @client.update_service_phonenumber('4E4BDA5A068E2C5B0E2E0100', '4FDA5D46A13BCA7409000000', {
      text: 'Update text'
    })
    end
    expect(@phonenumber[:text]).to eql("Update text")
  end

  it "creates a phonenumber" do
    VCR.use_cassette('create_service_phonenumber') do
      @phonenumber = @client.create_service_phonenumber('4E4BDA5A068E2C5B0E2E0100', {
      text: 'create phonenumber',
      number: '0625454878'
    })
    end
    expect(@phonenumber[:text]).to eql("create phonenumber")
    expect(@phonenumber[:number]).to eql("0625454878")
  end

end
