require_relative '../spec_helper'

describe TurbaKit do
  before  do
    @client = TurbaKit::Client.new('a58d65f70d82bdf7fba5230b')
  end

  it "returns a service" do
    VCR.use_cassette('service') do
      @service = @client.service('4E4BDA5A068E2C5B0E2E0100')
    end
    expect(@service[:title]).to eql("Service client Virgin Mobile")
  end

  it "returns a list of services corresponding to a query" do
    VCR.use_cassette('search_service') do
      @results = @client.search_service('lcl')
    end
    expect(@results[:services].first[:title]).to eql("Service client LCL")
  end

end
