require_relative '../spec_helper'

describe TurbaKit do
  before  do
    @client = TurbaKit::Client.new('a58d65f70d82bdf7fba5230b')
  end

  it "returns a crowd_table" do
    VCR.use_cassette('service_crowd_table') do
      @crowd_table = @client.service_crowd_table('4E4BDA5A068E2C5B0E2E0100')
    end
    expect(@crowd_table[:id]).to eql("53b6a66f6a6f661d5f020000")
  end

  it "updates a crowd_table" do
    VCR.use_cassette('update_service_crowd_table') do
      @crowd_table = @client.update_service_crowd_table('4E4BDA5A068E2C5B0E2E0100', {
      source: 'Update source'
    })
    end
    expect(@crowd_table[:source]).to eql("Update source")
  end

end
