require_relative '../spec_helper'

describe TurbaKit do
  before  do
    @client = TurbaKit::Client.new('a58d65f70d82bdf7fba5230b')
  end

  it "updates a link" do
    VCR.use_cassette('update_service_link') do
      @link = @client.update_service_link('4E4BDA5A068E2C5B0E2E0100', '52E23CCE6431640015000000', {
      text: 'Update text',
      url: 'http://www.google.fr'
    })
    end
    expect(@link[:text]).to eql("Update text")
    expect(@link[:url]).to eql("http://www.google.fr")
  end

  it "creates a link" do
    VCR.use_cassette('create_service_link') do
      @link = @client.create_service_link('4E4BDA5A068E2C5B0E2E0100', {
      text: 'create link',
      url: 'http://www.google.fr'
    })
    end
    expect(@link[:text]).to eql("create link")
    expect(@link[:url]).to eql("http://www.google.fr")
  end

end
