require_relative '../spec_helper'

describe TurbaKit do
  before  do
    @client = TurbaKit::Client.new('a58d65f70d82bdf7fba5230b')
  end

  it "updates a tip" do
    VCR.use_cassette('update_service_tip') do
      @tip = @client.update_service_tip('4E4BDA5A068E2C5B0E370100', '5059D707E9B6CC652900002F', {
      text: 'Update text',
      title: 'update title'
    })
    end
    expect(@tip[:text]).to eql("Update text")
    expect(@tip[:title]).to eql("update title")
  end

  it "creates a tip" do
    VCR.use_cassette('create_service_tip') do
      @tip = @client.create_service_tip('4E4BDA5A068E2C5B0E370100', {
      text: 'create tip',
      title: 'create title'
    })
    end
    expect(@tip[:text]).to eql("create tip")
    expect(@tip[:title]).to eql("create title")
  end

end
